Share Files/Folders to Group Members
This API will share the file or folder with a WorkDrive group. This will give file/folder access to all the group members.
Endpoints
OAuth Scope
Request Example
curl --request POST \
--url https://www.zohoapis.com/workdrive/api/v1/permissions \
--header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
--header 'content-type: application/vnd.api+json' \
--data '{"data":{"attributes":{"share_to":"ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021","shared_type":"groupmembers","role_id":"34","resource_id":"cjrrr81bad43595d94a5bbbb4ea1589ef9236","expiration_date":"1970-1-1 23:59:59"},"type":"permissions"}}'header = Map();
header.put("Accept","application/vnd.api+json");
data=Map();
data_param1=Map();
att_param1=Map();
att_param1.put("share_to","ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021");
att_param1.put("shared_type","groupmembers");
att_param1.put("role_id","34");
att_param1.put("resource_id","cjrrr81bad43595d94a5bbbb4ea1589ef9236");
att_param1.put("expiration_date","1970-1-1 23:59:59");
data_param1.put("attributes",att_param1);
data_param1.put("type","permissions");
data.put("data",data_param1);
response = invokeurl
[
url : "https://www.zohoapis.com/workdrive/api/v1/permissions"
type : POST
parameters : data.toString()
headers : header
connection : "wdconnection"
];
info response;Request Body
application/vnd.api+jsonHide Sub-Attributes
Hide Sub-Attributes
Mention the unique id of the group.
Should be "groupmembers".
Allowed role IDs for files:
Allowed role IDs for folders:
The unique ID of the file/folder.
Defines the expiry time for the share. After the specified date and time, the file or folder shared with a WorkDrive group will be automatically deactivated.
Note:
Where hh is hours in 24 hours format.
The JSON:API resource type. Always "permissions".
Body Parameters
{
"data": {
"attributes": {
"share_to": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021",
"shared_type": "groupmembers",
"role_id": "34",
"resource_id": "cjrrr81bad43595d94a5bbbb4ea1589ef9236",
"expiration_date": "1970-1-1 23:59:59"
},
"type": "permissions"
}
}
Response Example
R910
R910
R012
R914
R208
R913
R220
COL005
R955
R955
R952
R974
R953
R950
R214
R973
R971
R905
R708
R956
R253
R260
{
"data": [
{
"id": "cjrrr81bad43595d94a5bbbb4ea1589ef9236-2774428000000002021",
"type": "permissions",
"attributes": {
"shared_time_in_millis": 1618922463436,
"shared_by": "Zylker Creation",
"expiry_in_millis": 0,
"relation_type": 0,
"expiration_date": "Jan 1, 1970, 5:30 AM",
"share_to_entity_info": {
"display_name": "Managers - Engg",
"avatar_url": "https://js.zohostatic.com/personal/stable/jsapps/ui-lab/dist/assets/dev/svg-icons/common/groups_logo-1b99e1d06fa5e3bb404e335e6ce2f43a.svg",
"type": 1,
"collaborators_count": 1
},
"share_to_member_type": 1,
"role_id": 34,
"shared_time_i18": "Apr 20, 6:11 PM",
"shared_time": "Apr 20, 6:11 PM",
"shared_status": "ACTIVE",
"can_link_to_docs": true,
"owner": "747937818",
"allow_sharing_outside": false,
"shared_type": "groupmembers",
"shared_to_entity": "Managers - Engg",
"delete_from_propagated_space": false,
"display_name": "Managers - Engg",
"message": "",
"share_to": "ly9zmae16b43c258f458a9a57ac02c4f8d763-2774428000000002021",
"is_expired": false,
"shared_to_member_type": 1,
"avatar_url": "https://js.zohostatic.com/personal/stable/jsapps/ui-lab/dist/assets/dev/svg-icons/common/groups_logo-1b99e1d06fa5e3bb404e335e6ce2f43a.svg",
"is_password_protected": false,
"resource_id": "cjrrr81bad43595d94a5bbbb4ea1589ef9236",
"permalink": "https://workdrive.zoho.com/folder/cjrrr81bad43595d94a5bbbb4ea1589ef9236",
"shared_by_zuid": "747938014"
},
"links": {
"self": "https://www.zohoapis.com/workdrive/permissions/cjrrr81bad43595d94a5bbbb4ea1589ef9236-2774428000000002021"
}
}
]
}
{
"errors": [
{
"id": "R910",
"title": "External User Email share is not allowed"
}
]
}
{
"errors": [
{
"id": "R012",
"title": "Resource is not in active status to process this action"
}
]
}
{
"errors": [
{
"id": "R914",
"title": "External User Email share is allowed only for white listed domains and users"
}
]
}
{
"errors": [
{
"id": "R208",
"title": "Can not share libraries to user"
}
]
}
{
"errors": [
{
"id": "R913",
"title": "Anyone on internet and publish share are not allowed"
}
]
}
{
"errors": [
{
"id": "R220",
"title": "Can not change the role of a user with higher permission"
}
]
}
{
"errors": [
{
"id": "COL005",
"title": "The expiration date format should be in yyyy-mm-dd or yyyy-m-d hh:mm"
}
]
}
{
"errors": [
{
"id": "R955",
"title": "Sharing resource outside org with share permission is restricted."
}
]
}
{
"errors": [
{
"id": "R952",
"title": "User doesn't provide permission for sharing to outside org user."
}
]
}
{
"errors": [
{
"id": "R974",
"title": "External Sharing has been restricted via DLP Classification label\""
}
]
}
{
"errors": [
{
"id": "R953",
"title": "User doesn't provide permission for sharing to non zoho user."
}
]
}
{
"errors": [
{
"id": "R950",
"title": "Insufficient permission to share to yourself"
}
]
}
{
"errors": [
{
"id": "R214",
"title": "Unknown shareTo zuid / emailid"
}
]
}
{
"errors": [
{
"id": "R973",
"title": "Warn on External Sharing has been enforced via DLP Classification label to external user"
}
]
}
{
"errors": [
{
"id": "R971",
"title": "Warn on External Sharing has been enforced via DLP Classification label to non zoho user"
}
]
}
{
"errors": [
{
"id": "R905",
"title": "External share is not allowed"
}
]
}
{
"errors": [
{
"id": "R708",
"title": "Group with mentioned id not available"
}
]
}
{
"errors": [
{
"id": "R956",
"title": "Recieving resource from outside is restricted for Share_to user Org"
}
]
}
{
"errors": [
{
"id": "R253",
"title": "Client user cannot perform any action on another client user"
}
]
}
{
"errors": [
{
"id": "R260",
"title": "Cross org share limit exceeded"
}
]
}
© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.